I18nGrailsPlugin (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.i18n

## [Groovy] Class I18nGrailsPlugin

- org.codehaus.groovy.grails.plugins.i18n.I18nGrailsPlugin

- Configures Grails' internationalisation support.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `baseDir`
    `java.lang.Object` | `doWithSpring`
    `java.lang.Object` | `onChange`
    `java.lang.String` | `version`
    `java.lang.String` | `watchedResources`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `calculateBaseNamesFromMessageSources(java.lang.Object messageResources, java.util.Set baseNames)`
    `java.lang.Object` | `findGrailsPluginDir(java.io.File propertiesFile)`
    `java.lang.Object` | `isChildOfFile(java.io.File child, java.io.File parent)`
    `java.lang.Object` | `relativePath(java.io.File relbase, java.io.File file)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.String baseDir

    - #### java.lang.Object doWithSpring

    - #### java.lang.Object onChange

    - #### java.lang.String version

    - #### java.lang.String watchedResources

  - ### Method Detail

    - #### @groovy.transform.CompileStatic protected void calculateBaseNamesFromMessageSources(java.lang.Object messageResources, java.util.Set baseNames)

    - #### java.lang.Object findGrailsPluginDir(java.io.File propertiesFile)

    - #### java.lang.Object isChildOfFile(java.io.File child, java.io.File parent)

    - #### java.lang.Object relativePath(java.io.File relbase, java.io.File file)